uk.gov.hmrc.alertconfig

# HttpAbsolutePercentSplitThreshold

###
Related Doc: package alertconfig

#### case class HttpAbsolutePercentSplitThreshold(percentThreshold: Double = 100.0, crossOver: Int = 0, absoluteThreshold: Int = Int.MaxValue, hysteresis: Double = 1.0, excludeSpikes: Int = 0, errorFilter: String = "status:>498", severity: AlertSeverityType = AlertSeverity.critical) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. HttpAbsolutePercentSplitThreshold
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new HttpAbsolutePercentSplitThreshold(percentThreshold: Double = 100.0, crossOver: Int = 0, absoluteThreshold: Int = Int.MaxValue, hysteresis: Double = 1.0, excludeSpikes: Int = 0, errorFilter: String = "status:>498", severity: AlertSeverityType = AlertSeverity.critical)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val absoluteThreshold: Int

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val crossOver: Int

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### val errorFilter: String

10. #### val excludeSpikes: Int

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val hysteresis: Double

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### val percentThreshold: Double

19. #### val severity: AlertSeverityType

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped